---
title: CSS property page template
slug: MDN/Structures/Page_types/CSS_property_page_template
tags:
  - CSS
  - Property
  - Reference
  - Template
---
<div>{{MDNSidebar}}</div>

<div class="note">
<h2 id="Remove_before_publishing">Remove before publishing</h2>

<h3 id="Title_and_slug">Title and slug</h3>

<p>A CSS property page should have a <em>title</em> and <em>slug</em> of<em> Name</em>Of<em>TheProperty</em>. For example, the <a href="/en-US/docs/Web/CSS/background-color">background-color</a> property has a <em>title</em> and <em>slug</em> of <em>background-color</em>.</p>

<h3 id="Top_macros">Top macros</h3>

<p>There are four macro calls at the top of the template by default. You should update or delete them according to the advice below:</p>

<ul>
	<li>\{{draft()}} — this generates a <strong>Draft</strong> banner that indicates that the page is not yet complete, and should only be removed when the first draft of the page is completely finished. After it is ready to be published, you can remove this.</li>
	<li>\{{SeeCompatTable}} — this generates a <strong>This is an experimental technology</strong> banner that indicates the technology is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Experimental">experimental</a>). If the technology you are documenting is not experimental, you can remove this. If it is experimental, and the technology is hidden behind a pref in Firefox, you should also fill in an entry for it in the <a href="/en-US/docs/Mozilla/Firefox/Experimental_features">Experimental features in Firefox</a> page.</li>
	<li>\{{deprecated_header}} — this generates a <strong>Deprecated</strong> banner that indicates the technology is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Deprecated_and_obsolete">deprecated</a>. If it isn't, then you can remove the macro call.</li>
	<li>
	<div>\{{cssref}} — this generates a suitable CSS sidebar, depending on what tags are included on the page.</div>
	</li>
</ul>

<h3 id="Tags">Tags</h3>

<p>In an CSS property subpage, you need to include the following tags (see the <em>Tags</em> section at the bottom of the editor UI): <strong>CSS</strong>, <strong>Reference</strong>, <strong>CSS Property</strong>, <em>the name of the Property</em> (e.g. <strong>background-color</strong>), <strong>Layout, Graphics, CSS Background/CSS Colors/other category</strong> as appropriate, <strong>Experimental</strong> (if the technology is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Experimental">experimental</a>), and <strong>Deprecated</strong> (if it is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Deprecated_and_obsolete">deprecated</a>).</p>

<h3 id="Browser_compatibility">Browser compatibility</h3>

<p>To fill in the browser compat data, you first need to fill in an entry for the API into our <a href="https://github.com/mdn/browser-compat-data">Browser compat data repo</a> — see our <a href="/en-US/docs/MDN/Contribute/Structures/Compatibility_tables#The_new_way_The_browser_compat_data_repo_and_dynamic_tables">guide on how to do this</a>. Note that for CSS properties, most of the work has already been done — you just need to check that an entry is available.</p>

<p>Once that is done, you can show the compat data for the method with a \{{Compat()}} macro call.</p>

<h3 id="cssinfo_and_csssyntax_sections">\{{cssinfo}} and \{{csssyntax}} sections</h3>

<p>To generate these sections, you need to make sure appropriate entry has been filled in for the property in our <a href="https://github.com/mdn/data/blob/master/css/properties.json">properties.json</a> data file. See <a href="https://github.com/mdn/data/blob/master/css/properties.md">properties.md</a> for more information.</p>
</div>

<div>{{draft}}{{SeeCompatTable}}{{deprecated_header}}{{cssref}}</div>

<p><span class="summary">The summary paragraph — start by naming the property and saying what it does. This should ideally be 1 or 2 short sentences.</span></p>

<pre class="brush: css notranslate">/* Insert code block showing common use cases */
/* or categories of values */
</pre>

<p>{{cssinfo}}</p>

<h2 id="Syntax">Syntax</h2>

<p>Include a description of the property and what component subvalues make up a complete value.</p>

<h3 id="Values">Values</h3>

<dl>
	<dt><a id="&lt;color&gt;"></a>{{cssxref("subvalue1")}}</dt>
	<dd>Include a description of the subvalue, what its datatype is, and what it represents. Include one term and definition for each subvalue.</dd>
	<dt>{{cssxref("subvalue2")}}</dt>
	<dd>etc.</dd>
</dl>

<h3 id="Formal_syntax">Formal syntax</h3>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<p>Fill in a simple example that nicely shows a typical usage of the property, then perhaps some more complex examples (see our guide on how to add <a href="/en-US/docs/MDN/Contribute/Structures/Code_examples">code examples</a> for more information).</p>

<pre class="brush: js notranslate">my code block</pre>

<p>And/or include a list of links to useful code samples that live elsewhere:</p>

<ul>
	<li>x</li>
	<li>y</li>
	<li>z</li>
</ul>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Optionally, warn of any potential accessibility concerns that exist with using this property, and how to work around them. Remove this section if there are none to list.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Comment</th>
			<th scope="col">Feedback</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("NameOfSpecificationfromSpecName","#document-fragment-linking-directly-to-property-definition","NameOfTheProperty")}}</td>
			<td>Useful comment if there is one. Otherwise remove column</td>
			<td>Link to useful place to give feedback on the particular spec, e.g. Github issues. If there isn't one, remove column.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility_2">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("path.to.feature.NameOfTheProperty")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>Include list of</li>
	<li>other links related to</li>
	<li>this Element that might</li>
	<li>be useful</li>
</ul>
